apiVersion: v1
kind: Template
labels:
  app: draw
  template: draw-ephemeral
message: |-
  The following service(s) have been created in your project:
      https://draw.${ROOT_DOMAIN} -- Draw
metadata:
  annotations:
    description: Draw - ephemeral
    iconClass: icon-java
    openshift.io/display-name: Draw
    tags: draw
  name: draw-ephemeral
objects:
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    labels:
      name: draw-${FRONTNAME}
    name: draw-${FRONTNAME}
  spec:
    replicas: 1
    selector:
      name: draw-${FRONTNAME}
    strategy:
      type: Rolling
    template:
      metadata:
        labels:
          name: draw-${FRONTNAME}
      spec:
        dnsPolicy: ClusterFirst
        containers:
        - image: ' '
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 30
            initialDelaySeconds: 30
            httpGet:
              path: /
              port: 8080
            periodSeconds: 20
            timeoutSeconds: 8
          name: draw
          ports:
          - containerPort: 8080
            protocol: TCP
          readinessProbe:
            initialDelaySeconds: 5
            httpGet:
              path: /
              port: 8080
            periodSeconds: 20
            timeoutSeconds: 5
          resources:
            limits:
              cpu: "${DRAW_CPU_LIMIT}"
              memory: "${DRAW_MEMORY_LIMIT}"
          volumeMounts:
          - name: jre
            mountPath: /usr/local/tomcat/conf/Catalina/localhost
        restartPolicy: Always
        volumes:
        - emptyDir: {}
          name: jre
    triggers:
    - type: ImageChange
      imageChangeParams:
        automatic: true
        containerNames:
        - draw
        from:
          kind: ImageStreamTag
          name: draw:${DRAW_IMAGE_TAG}
        lastTriggeredImage: ''
    - type: ConfigChange
- apiVersion: v1
  kind: Service
  metadata:
    name: draw-${FRONTNAME}
    annotations:
      description: Exposes and load balances the Draw pods
  spec:
    ports:
    - name: draw
      port: 8080
      targetPort: 8080
    selector:
      name: draw-${FRONTNAME}
    sessionAffinity: ClientIP
    sessionAffinityConfig:
      clientIP:
        timeoutSeconds: 3600
- apiVersion: v1
  kind: Route
  metadata:
    name: draw-${FRONTNAME}
  spec:
    host: draw.${ROOT_DOMAIN}
    to:
      kind: Service
      name: draw-${FRONTNAME}
    tls:
      insecureEdgeTerminationPolicy: Redirect
      termination: edge
parameters:
- name: DRAW_CPU_LIMIT
  description: Maximum amount of CPU a Draw container can use
  displayName: Draw CPU Limit
  required: true
  value: 300m
- name: DRAW_IMAGE_TAG
  description: The ImageStreamTag we should pull images from
  displayName: Tag
  required: true
  value: master
- name: DRAW_MEMORY_LIMIT
  description: Maximum amount of memory a Draw container can use
  displayName: Draw Memory Limit
  required: true
  value: 512Mi
- name: FRONTNAME
  description: The name identifier assigned to objects defined in this template
  displayName: Name
  required: true
  value: demo
- name: ROOT_DOMAIN
  description: Root Domain
  displayName: Root Domain
  required: true
  value: demo.local
